curl --request PUT \
--url https://api.example.com/api/identity-providers/{alias}/mappers/{mapper_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"identity_provider_mapper": "<string>",
"id": "<string>",
"config": {}
}
'import requests
url = "https://api.example.com/api/identity-providers/{alias}/mappers/{mapper_id}"
payload = {
"name": "<string>",
"identity_provider_mapper": "<string>",
"id": "<string>",
"config": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
identity_provider_mapper: '<string>',
id: '<string>',
config: {}
})
};
fetch('https://api.example.com/api/identity-providers/{alias}/mappers/{mapper_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"identity_provider_mapper": "<string>",
"id": "<string>",
"config": {}
}{
"error": "<string>",
"code": 500
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Update a mapper
Update an existing mapper’s configuration.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
A single IdP mapper for claim or attribute mapping.
Mapper name. For example, email-mapper.
Mapper type. For example, oidc-user-attribute-idp-mapper or saml-user-attribute-idp-mapper.
Mapper ID. It's set by Keycloak and omits on create.
Mapper config. It's keys vary by mapper types, such as syncMode, claim, or user.attribute.
Response
Mapper updated
A single IdP mapper for claim or attribute mapping.
Mapper name. For example, email-mapper.
Mapper type. For example, oidc-user-attribute-idp-mapper or saml-user-attribute-idp-mapper.
Mapper ID. It's set by Keycloak and omits on create.
Mapper config. It's keys vary by mapper types, such as syncMode, claim, or user.attribute.
Was this page helpful?

